//Carlos Gershenson
//carlos@jlagunez.iquimica.unam.mx

import java.awt.*;
import java.io.*; 

public class ExtStim implements Serializable{ //Extern Stimuli
  public float x,z,s,s2;
  public int id;//1=food,2=water,3=wall,4=foodnear,5=waternear,6=wallnear,7=food&water,8=blob,9=rspot,10=yspot,11=grass,12=grassnear
  public ExtStim(float xi, float zi, float si, float s2i, int idi) {
    this.x = xi; this.z = zi; this.s = si; this.s2 = s2i; this.id = idi; 
  }
  public ExtStim(ExtStim es) {
    this.x = es.x; this.z = es.z; this.s = es.s; this.s2 = es.s2; this.id = es.id; 
  }
  public ExtStim() { x = z = s = s2 = 0;id = 0; }
  public boolean equals(ExtStim es) {
    if((this.x == es.x)&&(this.z == es.z)&&(this.s == es.s)&&(this.s2 == es.s2)&&(this.id == es.id))
      return true;
    else
      return false;
  }
  private void writeObject(java.io.ObjectOutputStream out) throws IOException{
    out.writeFloat(x);
    out.writeFloat(z);
    out.writeFloat(s);
    out.writeFloat(s2);
    out.writeInt(id);  
  }
  private void readObject(java.io.ObjectInputStream in) throws IOException, ClassNotFoundException{
    x=(float)in.readFloat();
    z=(float)in.readFloat();
    s=(float)in.readFloat();
    s2=(float)in.readFloat();
    id=(int)in.readInt();
  }

}